Bug#786031: doxypy: diff for NMU version 0.4.2-1.1

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#786031: doxypy: diff for NMU version 0.4.2-1.1

Graham Inggs-3
Control: tags 786031 + patch
Control: tags 786031 + pending

Dear maintainer,

I've prepared an NMU for doxypy (versioned as 0.4.2-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
diff -u doxypy-0.4.2/debian/control doxypy-0.4.2/debian/control
--- doxypy-0.4.2/debian/control
+++ doxypy-0.4.2/debian/control
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: David Paleino <[hidden email]>
 Build-Depends: debhelper (>= 7.0.50~),
- python-support (>= 0.90.0~)
+ dh-python,
+ python-all
 Standards-Version: 3.8.3
 Homepage: http://code.foosel.org/doxypy
 Vcs-Git: git://git.debian.org/git/collab-maint/doxypy.git
diff -u doxypy-0.4.2/debian/rules doxypy-0.4.2/debian/rules
--- doxypy-0.4.2/debian/rules
+++ doxypy-0.4.2/debian/rules
@@ -13 +13 @@
-       dh  $@
+       dh  $@  --with python2
diff -u doxypy-0.4.2/debian/changelog doxypy-0.4.2/debian/changelog
--- doxypy-0.4.2/debian/changelog
+++ doxypy-0.4.2/debian/changelog
@@ -1,3 +1,10 @@
+doxypy (0.4.2-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload
+  * Transition from python-support to dh-python (Closes: #786031)
+
+ -- Graham Inggs <[hidden email]>  Thu, 03 Sep 2015 16:58:25 +0200
+
 doxypy (0.4.2-1) unstable; urgency=low

   * Initial release (Closes: #565601)